%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:                nodejs-request
Version:             2.67.0
Release:             2
Summary:             Simplified HTTP request client
License:             ASL 2.0
URL:                 https://github.com/request/request
Source0:             https://github.com/request/request/archive/v%{version}/request-%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch

BuildRequires:       nodejs-packaging

BuildRequires:       npm(aws-sign2) npm(bl) npm(caseless) npm(combined-stream) npm(extend)
BuildRequires:       npm(forever-agent) npm(form-data) npm(har-validator) npm(hawk)
BuildRequires:       npm(http-signature) npm(is-typedarray) npm(isstream) npm(json-stringify-safe)
BuildRequires:       npm(mime-types) npm(node-uuid) npm(oauth-sign) npm(qs) npm(stringstream)
BuildRequires:       npm(tough-cookie) npm(tunnel-agent)

%if 0%{?enable_tests}
BuildRequires:       npm(tape) npm(bluebird) npm(buffer-equal) npm(rimraf)
#BuildRequires:  npm(server-destroy)
%endif

%description
Request is designed to be the simplest way possible to make HTTP calls. It
supports HTTPS and follows redirects by default.

You can stream any response to a file stream. You can also stream a file to a
PUT or POST request.  It also supports a few simple server and proxy functions.


%prep
%autosetup -p 1 -n request-%{version}
%{nodejs_fixdep} bl "^1.0.0"
%{nodejs_fixdep} form-data "^0.2.0"
%{nodejs_fixdep} hawk "^9.0.1"
%{nodejs_fixdep} http-signature "^0.10.0"
%{nodejs_fixdep} qs "^6.0.1"
%{nodejs_fixdep} tough-cookie "^2.3.1"
chmod -x index.js
rm -rf node_modules


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/request
cp -pr package.json index.js request.js lib %{buildroot}%{nodejs_sitelib}/request
%nodejs_symlink_deps


%check
%{nodejs_symlink_deps} --check
%if 0%{?enable_tests}
# needs npm(server-destroy)
rm tests/test-tunnel.js
tape tests/test-*.js
%endif


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/request


%changelog
* Thu Jun 30 2022 houyingchao <houyingchao@h-partners.com> - 2.67.0-2
- Fix compilation failed

* Wed Aug 19 2020 wangxiao <wangxiao65@huawei.com> - 2.67.0-1
- package init
